MCP Tools Reference: aiplatform.googleapis.com

Tool: pause_notebook_execution_schedule

Use this tool to pause an active notebook execution schedule.

The following sample demonstrate how to use curl to invoke the pause_notebook_execution_schedule MCP tool.

Curl Request
                  
curl --location 'https://aiplatform.googleapis.com/mcp/generate' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "pause_notebook_execution_schedule",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for ScheduleService.PauseSchedule.

PauseScheduleRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the Schedule resource to be paused. Format: projects/{project}/locations/{location}/schedules/{schedule}

Output Schema

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌